Index: branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R05.h90
===================================================================
--- branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R05.h90	(revision 4134)
+++ branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R05.h90	(revision 4144)
@@ -9,126 +9,122 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "orca"           !: name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "orca"          !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      :: &
-      jp_cfg = 05  ,         &  !: resolution of the configuration (degrees)
+      ::                      &
+      jp_cfg  =  05    ,      &  !: Resolution of the configuration (degrees)
 
-      ! data size              !!! * size of all the input files *
-      jpidta  = 722,         &  !: 1st lateral dimension > or = to jpiglo
-      jpjdta  = 511,         &  !: 2nd   "         "     > or = to jpjglo
-      jpkdta  =  31             !: number of levels      > or = to jpkglo
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  722   ,      &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  511   ,      &  !: 2nd lateral dimension ( >= jpjglo )
+      jpkdta  =  31    ,      &  !: Number of levels      ( >= jpk    )
 
-#if defined key_antarctic
-      ! zoom domain size       !!! *  antarctic zoom  * 
-   INTEGER     &
-#if !defined key_agrif
-      , PARAMETER  &
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
+      ! Domain characteristics
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
+
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#elif defined key_antarctic
+      ! Zoom domain size         !!! *  Antarctic zoom  * 
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  187   ,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
+      ! Domain characteristics
+      jperio  =  1               !: Lateral cond. type (between 0 and 6)
+#elif defined key_arctic
+      ! Zoom domain size         !!! *  Arctic zoom  *
+      jpiglo  =  562   ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta-301+1,&  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  81    ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  301   ,      &  !: in data domain indices
+      ! Domain characteristics
+      jperio  =  5               !: Lateral cond. type (between 0 and 6)
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
+      ! Domain characteristics
+      jperio  =  6               !: Lateral cond. type (between 0 and 6)
 #endif
-      :: &
-      jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
-      jpjglo  = 187   ,      &  !: 2nd     "                 "    --> j 
-      ! starting position of the zoom
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data domain indices
-      ! Domain characteristics
-      jperio  =   1             !: lateral cond. type (between 0 and 6)
 
-#elif defined key_arctic
-      ! zoom domain size       !!! *  arctic zoom  *
-   INTEGER    &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      ! zoom domain size       !!! *  arctic zoom  *
-      jpiglo  = 562,         &  !: 1st dimension of global domain --> i
-      jpjglo  = jpjdta-301+1,&  !: 2nd     "                 "    --> j
-      ! zoom starting position
-      jpizoom =  81   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom = 301   ,      &  !: in data domain indices
-      ! Domain characteristics
-      jperio  =   5             !: lateral cond. type (between 0 and 6)
-
-#else
-      ! global domain size     !!! *  global domain  *
-   INTEGER    &
-#if !defined key_agrif
-      , PARAMETER  &
-#endif
-      :: &
-      jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: 2nd     "                 "    --> j
-      ! zoom starting position    
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data domain indices
-      ! Domain characteristics
-      jperio  =    6            !: lateral cond. type (between 0 and 6)
-#endif
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL(wp), PARAMETER ::   &
+
+   REAL(wp), PARAMETER ::              &
       pp_not_used       = 999999._wp , &  !:
-      pp_to_be_computed = 0._wp          !:
+      pp_to_be_computed = 0._wp           !:
 
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
 
-   INTEGER, PARAMETER   ::   & !
-      jphgr_msh = 0            !: type of horizontal mesh
-      !                        !  = 0 curvilinear coordinate on the sphere
-      !                        !      read in coordinate.nc file
-      !                        !  = 1 geographical mesh on the sphere
-      !                        !      with regular grid-spacing
-      !                        !  = 2 f-plane with regular grid-spacing
-      !                        !  = 3 beta-plane with regular grid-spacing
-      !                        !  = 4 Mercator grid with T/U point at the equator  with
-      !                        !      isotropic resolution (e1_deg)
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 0              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp) , PARAMETER ::      &  !
-      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                            ! latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+
+   REAL(wp), PARAMETER ::     &
+      ppglam0  = pp_not_used, &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = pp_not_used, &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
-      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+      ppe1_m   = pp_not_used, &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used     !: meridional grid-spacing (meters )
 
-   !!
-   !! Vertical grid parameter for domzgr
-   !! =====================================
-   !!
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur = -4762.96143546300_wp    ,  &  !: ORCA r4, r2 and r05 coefficients
+
+   !!  Coefficients associated with the vertical coordinate system
+
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   -4762.96143546300_wp  ,  &  !: ORCA r4, r2 and r05 coefficients
       &     ppa0  =   255.58049070440_wp    ,  &  !: (default coefficients)
       &     ppa1  =   245.58132232490_wp    ,  &  !:
-      &     ppkth =    21.43336197938_wp    ,  &  !: (non dimensional): gives the approximate
+      &     ppkth =   21.43336197938_wp     ,  &  !: (non dimensional): gives the approximate
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =     3.00000000000_wp          !: (non dimensional): stretching factor
-      !                                           !: for the grid. The highest zacr, the smallest
+      &     ppacr =   3.00000000000_wp            !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
 
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::        &
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
+   REAL(wp), PARAMETER ::                      &
       &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
-   LOGICAL,  PARAMETER ::        &
+   LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::        &
+   REAL(wp), PARAMETER ::                      &
       &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
       &     ppkth2  = pp_not_used           ,  &  !:
Index: branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R1.h90
===================================================================
--- branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R1.h90	(revision 4134)
+++ branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R1.h90	(revision 4144)
@@ -12,69 +12,91 @@
    !! Use: key_orca_r1=75 to set 75 levels
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "orca"           !: name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "orca"          !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      :: &
-      jp_cfg = 1    ,        &  !: resolution of the configuration (degrees)
-      ! Original data size
-      jpidta  =  362,        &  !: first horizontal dimension > or = to jpi
-      jpjdta  =  292,        &  !: second                     > or = to jpj
+      ::                      &
+      jp_cfg  =  1     ,      &  !: Resolution of the configuration (degrees)
+
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  362   ,      &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  292   ,      &  !: 2nd lateral dimension ( >= jpjglo )
 #if key_orca_r1==75
-      jpkdta  = 75 ,         &  !: number of levels           > or = to jpk
+      jpkdta  =  75    ,      &  !: Number of levels      ( >= jpk    )
 #else
-      jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
+      jpkdta  =  46    ,      &  !: Number of levels      ( >= jpk    )
 #endif
-      ! total domain matrix size
-      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
-      ! starting position of the zoom
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data indices
+
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
       ! Domain characteristics
-      jperio  =   6             !: lateral cond. type (between 0 and 6)
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
+
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
+      ! Domain characteristics
+      jperio  =  6               !: Lateral cond. type (between 0 and 6)
+#endif
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
-      &                    pp_to_be_computed = 0._wp
-   !!
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-   !!
-   INTEGER, PARAMETER ::     & !
-      jphgr_msh = 0            !: type of horizontal mesh
-      !                        !  = 0 curvilinear coordinate on the sphere
-      !                        !      read in coordinate.nc file
-      !                        !  = 1 geographical mesh on the sphere
-      !                        !      with regular grid-spacing
-      !                        !  = 2 f-plane with regular grid-spacing
-      !                        !  = 3 beta-plane with regular grid-spacing
-      !                        !  = 4 Mercator grid with T/U point at the equator  with
-      !                        !      isotropic resolution (e1_deg)
+
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
+
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 0              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp), PARAMETER ::       &  !
-      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+
+   REAL(wp), PARAMETER ::     &
+      ppglam0  = pp_not_used, &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = pp_not_used, &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
-      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+      ppe1_m   = pp_not_used, &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used     !: meridional grid-spacing (meters )
+
 
    !!  Coefficients associated with the vertical coordinate system
 
 #if key_orca_r1==75
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur =  -3958.951371276829_wp  ,  &  !: ORCA r1 coefficients
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   -3958.951371276829_wp ,  &  !: ORCA r1 coefficients
       &     ppa0  =   103.9530096000000_wp  ,  &  !: (75 levels case)
       &     ppa1  =   2.415951269000000_wp  ,  &  !:
@@ -82,42 +104,38 @@
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =       7.00000000000_wp        !: (non dimensional): stretching factor
+      &     ppacr =   7.00000000000_wp            !: (non dimensional): stretching factor
       !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
+
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
    REAL(wp), PARAMETER ::                      &
       &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
-   !!
    LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .TRUE.                    !: Use/do not use double tanf function for vertical coordinates
    REAL(wp), PARAMETER ::                      &
-      &     ppa2  =   100.7609285000000_wp  ,  &  !: Double tanh function parameters
-      &     ppkth2=   48.02989372000000_wp  ,  &  !:
-      &     ppacr2=    13.00000000000_wp          !:
-      !
+      &     ppa2    = 100.7609285000000_wp  ,  &  !: Double tanh function parameters
+      &     ppkth2  = 48.02989372000000_wp  ,  &  !:
+      &     ppacr2  = 13.00000000000_wp           !:
 #else
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur = pp_to_be_computed ,        &  !: Computed in domzgr, set ppdzmin and pphmax below
-      &     ppa0  = pp_to_be_computed ,        &  !:    "           "
-      &     ppa1  = pp_to_be_computed ,        &  !:    "           "
-      !
-      &     ppkth =  23.563_wp        ,        &  !: (non dimensional): gives the approximate
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   pp_to_be_computed     ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
+      &     ppa0  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppa1  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppkth =   23.563_wp             ,  &  !: (non dimensional): gives the approximate
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
       &     ppacr =   9.00000000000_wp            !: (non dimensional): stretching factor
-      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
+
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
    REAL(wp), PARAMETER ::                      &
-      &     ppdzmin = 6._wp           ,        &  !: (meters) vertical thickness of the top layer
+      &     ppdzmin = 6._wp                 ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = 5750._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
-   !!
    LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
